Bug 108671 - [EDITING] Named range gives an ERR result when deleting a row/column of their range, but the named reference erroneously remains fine.
Summary: [EDITING] Named range gives an ERR result when deleting a row/column of their...
Status: VERIFIED FIXED
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: Calc (show other bugs)
Version:
(earliest affected)
5.0.5.2 release
Hardware: All All
: medium normal
Assignee: Eike Rathke
URL:
Whiteboard: target:6.0.0 target:5.4.0.1 target:5.3.5
Keywords: regression
Depends on:
Blocks:
 
Reported: 2017-06-21 11:23 UTC by m.a.riosv
Modified: 2017-07-02 02:57 UTC (History)
0 users

See Also:
Crash report or crash signature:


Attachments
Test file (8.43 KB, application/vnd.oasis.opendocument.spreadsheet)
2017-06-21 11:24 UTC, m.a.riosv
Details

Note You need to log in before you can comment on or make changes to this bug.
Description m.a.riosv 2017-06-21 11:23:42 UTC
Description:
Regresion between
Version: 4.4.7.2
Build ID: f3153a8b245191196a4b6b9abd1d0da16eead600
and
Versión: 5.0.5.2
Id. de compilación: 55b006a02d247b5f7215fc6ea0fde844b30035b3
TinderBox: Win-x86@62-merge-TDF, Branch:libreoffice-5-0, Time: 2016-03-07_09:00:12
Configuración regional: es-ES (es_ES)

Steps to Reproduce:
1.Open attached file
2.Delete column A in Sheet1
3.Go to Sheet2
4.A1 shows #REF!
5.Hard recalc doesn't resolve.
6.Save/Reload, solves the issue.

Actual Results:  
#REF!

Expected Results:
No error


Reproducible: Always

User Profile Reset: No

Additional Info:


User-Agent: Mozilla/5.0 (Windows NT 10.0; WOW64; rv:52.0) Gecko/20100101 Firefox/52.0
Comment 1 m.a.riosv 2017-06-21 11:24:15 UTC
Created attachment 134185 [details]
Test file
Comment 2 Eike Rathke 2017-06-21 12:11:44 UTC
The #REF! is correct, as the cell is deleted which NamedRange refers. That NamedRange maintains the original reference is not correct, it should be #REF! as well.
Comment 3 Commit Notification 2017-06-21 17:43:51 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=6580e171ad054dca38f55822e67a400191cecdf5

Resolves: tdf#108671 mark named expression single reference #REF! if deleted

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 4 Eike Rathke 2017-06-21 17:51:13 UTC
Pending review
https://gerrit.libreoffice.org/39071 for 5-4
https://gerrit.libreoffice.org/39072 for 5-3
Comment 5 Commit Notification 2017-06-21 22:50:55 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-4":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=e074090cea379716096d7025a62ad1c756b4d14f&h=libreoffice-5-4

Resolves: tdf#108671 mark named expression single reference #REF! if deleted

It will be available in 5.4.0.1.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 6 Commit Notification 2017-06-22 16:42:29 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "master":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=2522bbeecc628bb16ee17286e11b54613f78b195

Unit test for named single reference pointing to deleted row, tdf#108671

It will be available in 6.0.0.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.
Comment 7 m.a.riosv 2017-06-22 17:33:56 UTC
Tested with
Version: 6.0.0.0.alpha0+
Build ID: 438c0ed5ea4116e93eb2167a53a740ba5097565f
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-22_11:26:54
Locale: es-ES (es_ES); Calc: group

Selecting the whole sheet1 and deleting all the columns/rows doesn't touch the name range reference ¿Is it ok?
Comment 8 m.a.riosv 2017-06-25 11:28:23 UTC
Tested with:
Version: 6.0.0.0.alpha0+
Build ID: 4493f983d511990684588fbd141ec4f6ff0b40b6
CPU threads: 4; OS: Windows 6.19; UI render: GL; 
TinderBox: Win-x86@42, Branch:master, Time: 2017-06-24_00:22:15
Locale: es-ES (es_ES); Calc: group
Comment 9 Eike Rathke 2017-06-26 11:18:56 UTC
(In reply to m.a.riosv from comment #7)
> Selecting the whole sheet1 and deleting all the columns/rows doesn't touch
> the name range reference ¿Is it ok?

Doesn't sound ok.
Comment 10 Eike Rathke 2017-06-26 11:53:07 UTC
I created bug 108788 for that.
Comment 11 Commit Notification 2017-07-02 02:57:26 UTC
Eike Rathke committed a patch related to this issue.
It has been pushed to "libreoffice-5-3":

http://cgit.freedesktop.org/libreoffice/core/commit/?id=777103737f9b20f680d9c9f3d0610e91383f7499&h=libreoffice-5-3

Resolves: tdf#108671 mark named expression single reference #REF! if deleted

It will be available in 5.3.5.

The patch should be included in the daily builds available at
http://dev-builds.libreoffice.org/daily/ in the next 24-48 hours. More
information about daily builds can be found at:
http://wiki.documentfoundation.org/Testing_Daily_Builds

Affected users are encouraged to test the fix and report feedback.